/*
 * Newt-Puzzle
 * Copyright (C) Aude Jaulent 2008, 2009 <elderme@tuxfamily.org>
 * 
 * Newt-Puzzle is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Newt-Puzzle is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _FILE_MANAGER_H_
#define _FILE_MANAGER_H_

#include <string>
#include <iostream>
#include <cstdlib>
#include <sys/stat.h>
#include <string.h> 

#ifdef WIN32
	#include <windows.h>
#endif

class FileManager
{
public:
	FileManager();
	~FileManager() {};
	
	void initDir();	
	void initNewtStateDir(std::string dirPath);
		
	std::string getHomeNewtDir() const;
	std::string getScreenshotsDir() const;		
	std::string getDataDir() const;	
	std::string getShadersDir() const;
	std::string getFontsDir() const;
	std::string getTexturesDir() const;
	std::string getHightTexturesDir() const;
	std::string getLowTexturesDir() const;
	std::string getSmallTexturesDir() const;
	
		
		
private:	
	std::string mRootDir;	
};


extern FileManager *fileMana;

#endif //_FILE_MANAGER_H_
